"""URL patterns for the dispatcher API."""

from django.conf.urls import patterns, url

from dispatch.views import DispatchMessage, DispatcherList, DispatcherDetail


urlpatterns = patterns('dispatch.views',
    url(r'^api/dispatchers/$', DispatcherList.as_view(), name='dispatch_api_dispatchers'),
    url(r'^api/dispatchers/(?P<pk>[0-9]+)/$', DispatcherDetail.as_view(), name='dispatch_api_dispatcher_detail'),
    url(r'^api/dispatchers/(?P<pk>[0-9]+)/message$', DispatchMessage.as_view(), name='dispatch_api_dispatch_message'),
)
