"""Serializers for the dispatcher API objects."""

from rest_framework import serializers

from dispatch.models import Dispatcher


class DispatcherSerializer(serializers.ModelSerializer):

    class Meta:
        model = Dispatcher
        fields = ('id', 'key', 'type', 'destination')


class DispatchMessageSerializer(serializers.Serializer):

    message = serializers.CharField()
